Sales Invoice Lines

The sales invoice lines resource.

Basehttps://rest.carbon.ms/salesInvoiceLines
GET/salesInvoiceLines

List sales invoice liness

Retrieve a paginated list of sales invoice liness. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/salesInvoiceLines
curl --request GET \
  --url 'https://rest.carbon.ms/salesInvoiceLines?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "invoiceId": "xyz789",
    "invoiceLineType": "string",
    "description": "string",
    "itemId": "xyz789",
    "methodType": "string",
    "assetId": "xyz789",
    "quantity": 10
  }
]
GET/salesInvoiceLines

Retrieve a sales invoice lines

Fetch a single sales invoice lines by filtering on `id`.

Query parameters

idstring

Match on the sales invoice lines's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/salesInvoiceLines
curl --request GET \
  --url 'https://rest.carbon.ms/salesInvoiceLines?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "invoiceLineType": "string",
  "description": "string",
  "itemId": "xyz789",
  "methodType": "string",
  "assetId": "xyz789",
  "quantity": 10
}